Bug 1681009 - Could not perform package actions on rhel 5 clients
Summary: Could not perform package actions on rhel 5 clients
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Pulp
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-25 15:52 UTC by Nikhil Kathole
Modified: 2019-10-07 17:18 UTC (History)
6 users (show)

Fixed In Version: pulp-rpm-2.18.1.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:40:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:40:25 UTC
Pulp Redmine 4476 Normal CLOSED - CURRENTRELEASE pulp_rpm.handlers.rpm does not work with Python 2.4 2019-04-02 21:01:23 UTC

Description Nikhil Kathole 2019-02-25 15:52:48 UTC
Description of problem:

Register rhel 5 client with satellite 6.5 and trying to perform package action on client failed error

 Katello::Errors::PulpError

No handler for: {'type': 'rpm'} 


---
pulp_tasks:
- exception: 
  task_type: 
  _href: "/pulp/api/v2/tasks/e9e104ed-0a8e-4f27-a2c4-9bef5c8374e2/"
  task_id: e9e104ed-0a8e-4f27-a2c4-9bef5c8374e2
  tags:
  - pulp:consumer:8b1a9411-e78a-4f71-8312-c56b77c88843
  - pulp:action:unit_install
  finish_time: '2019-02-25T15:43:15Z'
  _ns: task_status
  start_time: '2019-02-25T15:43:14Z'
  traceback: 
  spawned_tasks: []
  progress_report: {}
  queue: agent.dq2
  state: finished
  worker_name: agent
  result:
    reboot:
      scheduled: false
      details: {}
    details:
      rpm:
        details:
          message: 'No handler for: {''type'': ''rpm''}'
          trace: |
            Traceback (most recent call last):

              File "/usr/lib/python2.4/site-packages/pulp/agent/lib/dispatcher.py", line 60, in install
                handler = self.__handler(type_id, CONTENT)

              File "/usr/lib/python2.4/site-packages/pulp/agent/lib/dispatcher.py", line 330, in __handler
                raise HandlerNotFound(type=type_id)

            HandlerNotFound: No handler for: {'type': 'rpm'}
        succeeded: false
    succeeded: false
    num_changes: 0
  error: 
  _id:
    "$oid": 5c740d0fc8967037683e437a
  id: 5c740d0fc8967037683e437a
poll_attempts:
  total: 3
  failed: 1


---
- "/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.21/app/lib/actions/pulp/consumer/abstract_content_action.rb:12:in
  `external_task='"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/action/polling.rb:98:in
  `poll_external_task_with_rescue'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/action/polling.rb:21:in
  `run'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/action/cancellable.rb:13:in
  `run'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.21/app/lib/actions/pulp/abstract_async_task.rb:45:in
  `run'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/action.rb:539:in
  `block (3 levels) in execute_run'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware/stack.rb:26:in
  `pass'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware.rb:18:in
  `pass'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware.rb:31:in
  `run'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware/stack.rb:22:in
  `call'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware/stack.rb:26:in
  `pass'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware.rb:18:in
  `pass'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.21/app/lib/actions/middleware/remote_action.rb:16:in
  `block in run'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.21/app/lib/actions/middleware/remote_action.rb:40:in
  `block in as_remote_user'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.21/app/models/katello/concerns/user_extensions.rb:21:in
  `cp_config'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.21/app/lib/actions/middleware/remote_action.rb:27:in
  `as_cp_user'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.21/app/lib/actions/middleware/remote_action.rb:39:in
  `as_remote_user'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.21/app/lib/actions/middleware/remote_action.rb:16:in
  `run'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware/stack.rb:22:in
  `call'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware/stack.rb:26:in
  `pass'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware.rb:18:in
  `pass'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.14.4.3/app/lib/actions/middleware/rails_executor_wrap.rb:14:in
  `block in run'"
- "/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/execution_wrapper.rb:87:in
  `wrap'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.14.4.3/app/lib/actions/middleware/rails_executor_wrap.rb:13:in
  `run'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware/stack.rb:22:in
  `call'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware/stack.rb:26:in
  `pass'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware.rb:18:in
  `pass'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/action/progress.rb:30:in
  `with_progress_calculation'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/action/progress.rb:16:in
  `run'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware/stack.rb:22:in
  `call'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware/stack.rb:26:in
  `pass'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware.rb:18:in
  `pass'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.21/app/lib/actions/middleware/keep_locale.rb:11:in
  `block in run'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.21/app/lib/actions/middleware/keep_locale.rb:22:in
  `with_locale'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.21/app/lib/actions/middleware/keep_locale.rb:11:in
  `run'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware/stack.rb:22:in
  `call'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware/stack.rb:26:in
  `pass'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware.rb:18:in
  `pass'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.14.4.3/app/lib/actions/middleware/keep_current_timezone.rb:15:in
  `block in run'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.14.4.3/app/lib/actions/middleware/keep_current_timezone.rb:44:in
  `restore_curent_timezone'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.14.4.3/app/lib/actions/middleware/keep_current_timezone.rb:15:in
  `run'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware/stack.rb:22:in
  `call'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware/stack.rb:26:in
  `pass'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware.rb:18:in
  `pass'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.14.4.3/app/lib/actions/middleware/keep_current_user.rb:15:in
  `block in run'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.14.4.3/app/lib/actions/middleware/keep_current_user.rb:43:in
  `restore_curent_user'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.14.4.3/app/lib/actions/middleware/keep_current_user.rb:15:in
  `run'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware/stack.rb:22:in
  `call'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware/stack.rb:26:in
  `pass'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware.rb:18:in
  `pass'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.14.4.3/app/lib/actions/middleware/keep_current_taxonomies.rb:15:in
  `block in run'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.14.4.3/app/lib/actions/middleware/keep_current_taxonomies.rb:44:in
  `restore_current_taxonomies'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.14.4.3/app/lib/actions/middleware/keep_current_taxonomies.rb:15:in
  `run'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware/stack.rb:22:in
  `call'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware/stack.rb:26:in
  `pass'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware.rb:18:in
  `pass'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware.rb:31:in
  `run'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware/stack.rb:22:in
  `call'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware/world.rb:30:in
  `execute'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/action.rb:538:in
  `block (2 levels) in execute_run'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/action.rb:537:in
  `catch'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/action.rb:537:in
  `block in execute_run'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/action.rb:451:in
  `block in with_error_handling'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/action.rb:451:in
  `catch'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/action.rb:451:in
  `with_error_handling'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/action.rb:532:in
  `execute_run'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/action.rb:278:in
  `execute'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:17:in
  `block (2 levels) in execute'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/execution_plan/steps/abstract.rb:162:in
  `with_meta_calculation'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:16:in
  `block in execute'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:30:in
  `open_action'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:15:in
  `execute'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/director.rb:56:in
  `execute'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/executors/parallel/worker.rb:14:in
  `block in on_message'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/executors.rb:12:in
  `run_user_code'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/executors/parallel/worker.rb:13:in
  `on_message'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/context.rb:46:in
  `on_envelope'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/executes_context.rb:7:in
  `on_envelope'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/abstract.rb:25:in
  `pass'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/actor.rb:26:in
  `on_envelope'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/abstract.rb:25:in
  `pass'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/awaits.rb:15:in
  `on_envelope'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/abstract.rb:25:in
  `pass'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/sets_results.rb:14:in
  `on_envelope'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/abstract.rb:25:in
  `pass'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/buffer.rb:38:in
  `process_envelope'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/buffer.rb:31:in
  `process_envelopes?'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/buffer.rb:20:in
  `on_envelope'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/abstract.rb:25:in
  `pass'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/termination.rb:55:in
  `on_envelope'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/abstract.rb:25:in
  `pass'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/removes_child.rb:10:in
  `on_envelope'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/abstract.rb:25:in
  `pass'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/sets_results.rb:14:in
  `on_envelope'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/core.rb:161:in
  `process_envelope'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/core.rb:95:in
  `block in on_envelope'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/core.rb:118:in
  `block (2 levels) in schedule_execution'"
- "/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/concurrent-ruby-1.0.5/lib/concurrent/synchronization/mri_lockable_object.rb:38:in
  `block in synchronize'"
- "/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/concurrent-ruby-1.0.5/lib/concurrent/synchronization/mri_lockable_object.rb:38:in
  `synchronize'"
- "/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/concurrent-ruby-1.0.5/lib/concurrent/synchronization/mri_lockable_object.rb:38:in
  `synchronize'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/core.rb:115:in
  `block in schedule_execution'"
- "/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/serialized_execution.rb:18:in
  `call'"
- "/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/serialized_execution.rb:96:in
  `work'"
- "/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/serialized_execution.rb:77:in
  `block in call_job'"
- "/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/ruby_thread_pool_executor.rb:348:in
  `run_task'"
- "/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/ruby_thread_pool_executor.rb:337:in
  `block (3 levels) in create_worker'"
- "/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/ruby_thread_pool_executor.rb:320:in
  `loop'"
- "/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/ruby_thread_pool_executor.rb:320:in
  `block (2 levels) in create_worker'"
- "/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/ruby_thread_pool_executor.rb:319:in
  `catch'"
- "/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/ruby_thread_pool_executor.rb:319:in
  `block in create_worker'"
- "/opt/theforeman/tfm/root/usr/share/gems/gems/logging-2.2.2/lib/logging/diagnostic_context.rb:474:in
  `block in create_with_logging_context'"

Version-Release number of selected component (if applicable):

Satellite 6.5 snap 17

On client:

Installed:
  katello-agent.noarch 0:3.4.2-1.el5                                                                                                              

Dependency Installed:
  gofer.noarch 0:2.11.9-1.el5                                              katello-host-tools.noarch 0:3.4.2-1.el5                               
  katello-host-tools-fact-plugin.noarch 0:3.4.2-1.el5                      pulp-rpm-handlers.noarch 0:2.18.0-0.1.rc.el5                          
  python-ctypes.x86_64 0:1.0.2-3.el5                                       python-gofer.noarch 0:2.11.9-1.el5                                    
  python-gofer-proton.noarch 0:2.11.9-1.el5                                python-hashlib.x86_64 0:20081119-7.el5sat                             
  python-isodate.noarch 0:0.5.0-4.pulp.el5                                 python-pulp-agent-lib.noarch 0:2.18.0-0.1.rc.el5                      
  python-pulp-common.noarch 0:2.18.0-0.1.rc.el5                            python-pulp-rpm-common.noarch 0:2.18.0-0.1.rc.el5                     
  python-qpid-proton.x86_64 0:0.9-16.el5                                   qpid-proton-c.x86_64 0:0.9-16.el5 

How reproducible: always


Steps to Reproduce:
1. rpm -Uvh http://satellite.example.com/pub/katello-ca-consumer-latest.noarch.rpm
2. subscription-manager register --org="Default_Organization" --activationkey="ak-rhel-5"
3.  yum install katello-agent -y
4. Naviagte to content host
5. click on rhel 5 host 
6. go to packages -> action
7. try to install any package

Actual results:

task failed with above error and production.log showed

2019-02-25T10:43:11 [I|kat|] POST: https://satellite.example.com/pulp/api/v2/consumers/8b1a9411-e78a-4f71-8312-c56b77c88843/actions/content/install//: {"units":[{"type_id":"rpm","unit_key":{"name":"zsh"}}],"options":{"importkeys":true}}: {"content_type"=>"application/json", "accept"=>"application/json"}
Response: 202: {"spawned_tasks": [{"_href": "/pulp/api/v2/tasks/e9e104ed-0a8e-4f27-a2c4-9bef5c8374e2/", "task_id": "e9e104ed-0a8e-4f27-a2c4-9bef5c8374e2"}], "result": null, "error": null}
2019-02-25T10:43:11 [I|kat|] GET: https://satellite.example.com/pulp/api/v2/tasks/e9e104ed-0a8e-4f27-a2c4-9bef5c8374e2/: {"content_type"=>"application/json", "accept"=>"application/json"}
Response: 200: {"exception": null, "task_type": null, "_href": "/pulp/api/v2/tasks/e9e104ed-0a8e-4f27-a2c4-9bef5c8374e2/", "task_id": "e9e104ed-0a8e-4f27-a2c4-9bef5c8374e2", "tags": ["pulp:consumer:8b1a9411-e78a-4f71-8312-c56b77c88843", "pulp:action:unit_install"], "finish_time": null, "_ns": "task_status", "start_time": null, "traceback": null, "spawned_tasks": [], "progress_report": {}, "queue": "agent.dq2", "state": "waiting", "worker_name": "agent", "result": null, "error": null, "_id": {"$oid": "5c740d0fc8967037683e437a"}, "id": "5c740d0fc8967037683e437a"}
2019-02-25T10:43:12 [I|app|] Current user set to admin (admin)
2019-02-25T10:43:12 [I|kat|] GET: https://satellite.example.com/pulp/api/v2/tasks/e9e104ed-0a8e-4f27-a2c4-9bef5c8374e2/: {"content_type"=>"application/json", "accept"=>"application/json"}
Response: 200: {"exception": null, "task_type": null, "_href": "/pulp/api/v2/tasks/e9e104ed-0a8e-4f27-a2c4-9bef5c8374e2/", "task_id": "e9e104ed-0a8e-4f27-a2c4-9bef5c8374e2", "tags": ["pulp:consumer:8b1a9411-e78a-4f71-8312-c56b77c88843", "pulp:action:unit_install"], "finish_time": null, "_ns": "task_status", "start_time": null, "traceback": null, "spawned_tasks": [], "progress_report": {}, "queue": "agent.dq2", "state": "accepted", "worker_name": "agent", "result": null, "error": null, "_id": {"$oid": "5c740d0fc8967037683e437a"}, "id": "5c740d0fc8967037683e437a"}
2019-02-25T10:43:13 [I|app|] Current user set to admin (admin)
2019-02-25T10:43:13 [I|kat|] GET: https://satellite.example.com/pulp/api/v2/tasks/e9e104ed-0a8e-4f27-a2c4-9bef5c8374e2/: {"content_type"=>"application/json", "accept"=>"application/json"}
Response: 200: {"exception": null, "task_type": null, "_href": "/pulp/api/v2/tasks/e9e104ed-0a8e-4f27-a2c4-9bef5c8374e2/", "task_id": "e9e104ed-0a8e-4f27-a2c4-9bef5c8374e2", "tags": ["pulp:consumer:8b1a9411-e78a-4f71-8312-c56b77c88843", "pulp:action:unit_install"], "finish_time": null, "_ns": "task_status", "start_time": null, "traceback": null, "spawned_tasks": [], "progress_report": {}, "queue": "agent.dq2", "state": "accepted", "worker_name": "agent", "result": null, "error": null, "_id": {"$oid": "5c740d0fc8967037683e437a"}, "id": "5c740d0fc8967037683e437a"}
2019-02-25T10:43:14 [I|app|] Current user set to admin (admin)
2019-02-25T10:43:14 [I|kat|] GET: https://satellite.example.com/pulp/api/v2/tasks/e9e104ed-0a8e-4f27-a2c4-9bef5c8374e2/: {"content_type"=>"application/json", "accept"=>"application/json"}
Response: 200: {"exception": null, "task_type": null, "_href": "/pulp/api/v2/tasks/e9e104ed-0a8e-4f27-a2c4-9bef5c8374e2/", "task_id": "e9e104ed-0a8e-4f27-a2c4-9bef5c8374e2", "tags": ["pulp:consumer:8b1a9411-e78a-4f71-8312-c56b77c88843", "pulp:action:unit_install"], "finish_time": "2019-02-25T15:43:15Z", "_ns": "task_status", "start_time": "2019-02-25T15:43:14Z", "traceback": null, "spawned_tasks": [], "progress_report": {}, "queue": "agent.dq2", "state": "finished", "worker_name": "agent", "result": {"reboot": {"scheduled": false, "details": {}}, "details": {"rpm": {"details": {"message": "No handler for: {'type': 'rpm'}", "trace": "Traceback (most recent call last):\n\n  File \"/usr/lib/python2.4/site-packages/pulp/agent/lib/dispatcher.py\", line 60, in install\n    handler = self.__handler(type_id, CONTENT)\n\n  File \"/usr/lib/python2.4/site-packages/pulp/agent/lib/dispatcher.py\", line 330, in __handler\n    raise HandlerNotFound(type=type_id)\n\nHandlerNotFound: No handler for: {'type': 'rpm'}\n"}, "succeeded": false}}, "succeeded": false, "num_changes": 0}, "error": null, "_id": {"$oid": "5c740d0fc8967037683e437a"}, "id": "5c740d0fc8967037683e437a"}
2019-02-25T10:43:14 [E|bac|] No handler for: {'type': 'rpm'} (Katello::Errors::PulpError)
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.21/app/lib/actions/pulp/consumer/abstract_content_action.rb:12:in `external_task='
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/action/polling.rb:98:in `poll_external_task_with_rescue'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/action/polling.rb:21:in `run'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/action/cancellable.rb:13:in `run'
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.21/app/lib/actions/pulp/abstract_async_task.rb:45:in `run'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/action.rb:539:in `block (3 levels) in execute_run'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware/stack.rb:26:in `pass'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware.rb:18:in `pass'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware.rb:31:in `run'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware/stack.rb:22:in `call'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware/stack.rb:26:in `pass'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware.rb:18:in `pass'
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.21/app/lib/actions/middleware/remote_action.rb:16:in `block in run'
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.21/app/lib/actions/middleware/remote_action.rb:40:in `block in as_remote_user'
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.21/app/models/katello/concerns/user_extensions.rb:21:in `cp_config'
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.21/app/lib/actions/middleware/remote_action.rb:27:in `as_cp_user'
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.21/app/lib/actions/middleware/remote_action.rb:39:in `as_remote_user'
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.21/app/lib/actions/middleware/remote_action.rb:16:in `run'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware/stack.rb:22:in `call'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware/stack.rb:26:in `pass'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware.rb:18:in `pass'
/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.14.4.3/app/lib/actions/middleware/rails_executor_wrap.rb:14:in `block in run'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/execution_wrapper.rb:87:in `wrap'
/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.14.4.3/app/lib/actions/middleware/rails_executor_wrap.rb:13:in `run'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware/stack.rb:22:in `call'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware/stack.rb:26:in `pass'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware.rb:18:in `pass'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/action/progress.rb:30:in `with_progress_calculation'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/action/progress.rb:16:in `run'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware/stack.rb:22:in `call'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware/stack.rb:26:in `pass'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware.rb:18:in `pass'
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.21/app/lib/actions/middleware/keep_locale.rb:11:in `block in run'
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.21/app/lib/actions/middleware/keep_locale.rb:22:in `with_locale'
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.21/app/lib/actions/middleware/keep_locale.rb:11:in `run'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware/stack.rb:22:in `call'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware/stack.rb:26:in `pass'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware.rb:18:in `pass'
/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.14.4.3/app/lib/actions/middleware/keep_current_timezone.rb:15:in `block in run'
/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.14.4.3/app/lib/actions/middleware/keep_current_timezone.rb:44:in `restore_curent_timezone'
/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.14.4.3/app/lib/actions/middleware/keep_current_timezone.rb:15:in `run'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware/stack.rb:22:in `call'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware/stack.rb:26:in `pass'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware.rb:18:in `pass'
/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.14.4.3/app/lib/actions/middleware/keep_current_user.rb:15:in `block in run'
/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.14.4.3/app/lib/actions/middleware/keep_current_user.rb:43:in `restore_curent_user'
/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.14.4.3/app/lib/actions/middleware/keep_current_user.rb:15:in `run'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware/stack.rb:22:in `call'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware/stack.rb:26:in `pass'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware.rb:18:in `pass'
/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.14.4.3/app/lib/actions/middleware/keep_current_taxonomies.rb:15:in `block in run'
/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.14.4.3/app/lib/actions/middleware/keep_current_taxonomies.rb:44:in `restore_current_taxonomies'
/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.14.4.3/app/lib/actions/middleware/keep_current_taxonomies.rb:15:in `run'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware/stack.rb:22:in `call'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware/stack.rb:26:in `pass'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware.rb:18:in `pass'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware.rb:31:in `run'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware/stack.rb:22:in `call'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/middleware/world.rb:30:in `execute'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/action.rb:538:in `block (2 levels) in execute_run'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/action.rb:537:in `catch'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/action.rb:537:in `block in execute_run'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/action.rb:451:in `block in with_error_handling'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/action.rb:451:in `catch'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/action.rb:451:in `with_error_handling'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/action.rb:532:in `execute_run'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/action.rb:278:in `execute'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:17:in `block (2 levels) in execute'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/execution_plan/steps/abstract.rb:162:in `with_meta_calculation'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:16:in `block in execute'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:30:in `open_action'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:15:in `execute'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/director.rb:56:in `execute'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/executors/parallel/worker.rb:14:in `block in on_message'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/executors.rb:12:in `run_user_code'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/executors/parallel/worker.rb:13:in `on_message'
/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/context.rb:46:in `on_envelope'
/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/executes_context.rb:7:in `on_envelope'
/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/abstract.rb:25:in `pass'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.1.6/lib/dynflow/actor.rb:26:in `on_envelope'
/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/abstract.rb:25:in `pass'
/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/awaits.rb:15:in `on_envelope'
/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/abstract.rb:25:in `pass'
/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/sets_results.rb:14:in `on_envelope'
/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/abstract.rb:25:in `pass'
/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/buffer.rb:38:in `process_envelope'
/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/buffer.rb:31:in `process_envelopes?'
/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/buffer.rb:20:in `on_envelope'
/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/abstract.rb:25:in `pass'
/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/termination.rb:55:in `on_envelope'
/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/abstract.rb:25:in `pass'
/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/removes_child.rb:10:in `on_envelope'
/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/abstract.rb:25:in `pass'
/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/sets_results.rb:14:in `on_envelope'
/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/core.rb:161:in `process_envelope'
/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/core.rb:95:in `block in on_envelope'
/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/core.rb:118:in `block (2 levels) in schedule_execution'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/concurrent-ruby-1.0.5/lib/concurrent/synchronization/mri_lockable_object.rb:38:in `block in synchronize'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/concurrent-ruby-1.0.5/lib/concurrent/synchronization/mri_lockable_object.rb:38:in `synchronize'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/concurrent-ruby-1.0.5/lib/concurrent/synchronization/mri_lockable_object.rb:38:in `synchronize'
/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/core.rb:115:in `block in schedule_execution'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/serialized_execution.rb:18:in `call'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/serialized_execution.rb:96:in `work'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/serialized_execution.rb:77:in `block in call_job'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/ruby_thread_pool_executor.rb:348:in `run_task'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/ruby_thread_pool_executor.rb:337:in `block (3 levels) in create_worker'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/ruby_thread_pool_executor.rb:320:in `loop'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/ruby_thread_pool_executor.rb:320:in `block (2 levels) in create_worker'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/ruby_thread_pool_executor.rb:319:in `catch'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/ruby_thread_pool_executor.rb:319:in `block in create_worker'
/opt/theforeman/tfm/root/usr/share/gems/gems/logging-2.2.2/lib/logging/diagnostic_context.rb:474:in `block in create_with_logging_context'
2019-02-25T10:43:15 [I|app|] Started POST "/foreman_tasks/api/tasks/bulk_search" for 10.67.116.29 at 2019-02-25 10:43:15 -0500
2019-02-25T10:43:15 [I|app|0f912a24] Processing by ForemanTasks::Api::TasksController#bulk_search as JSON
2019-02-25T10:43:15 [I|app|0f912a24]   Parameters: {"searches"=>[{"type"=>"task", "task_id"=>"4ce652f6-0750-4648-8269-b641facd30cf", "search_id"=>"2"}], "task"=>{}}
2019-02-25T10:43:15 [I|app|0f912a24] Current user set to admin (admin)
2019-02-25T10:43:15 [I|app|0f912a24] Completed 200 OK in 57ms (Views: 0.9ms | ActiveRecord: 7.9ms)


Expected results: Successful package install.


Additional info:

Comment 7 pulp-infra@redhat.com 2019-02-26 15:32:20 UTC
The Pulp upstream bug status is at POST. Updating the external tracker on this bug.

Comment 8 pulp-infra@redhat.com 2019-02-26 15:32:21 UTC
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.

Comment 9 pulp-infra@redhat.com 2019-02-26 16:01:41 UTC
The Pulp upstream bug status is at MODIFIED. Updating the external tracker on this bug.

Comment 10 pulp-infra@redhat.com 2019-02-26 16:31:36 UTC
All upstream Pulp bugs are at MODIFIED+. Moving this bug to POST.

Comment 11 Evgeni Golov 2019-02-26 17:37:00 UTC
before the attached pulp patch:

Feb 26 12:32:03 intel-waimeabay-hedt-01 goferd: [INFO][worker-0] gofer.messaging.adapter.connect:28 - connecting: proton+amqps://sgi-uv20-01.rhts.eng.bos.redhat.com:5647
Feb 26 12:32:03 intel-waimeabay-hedt-01 goferd: [INFO][worker-0] gofer.messaging.adapter.proton.connection:87 - open: URL: amqps://sgi-uv20-01.rhts.eng.bos.redhat.com:5647|SSL: ca: /etc/rhsm/ca/katello-default-ca.pem|key: None|certificate: /etc/pki/consumer/bundle.pem|host-validation: None
Feb 26 12:32:03 intel-waimeabay-hedt-01 goferd: [INFO][worker-0] root:490 - connecting to sgi-uv20-01.rhts.eng.bos.redhat.com:5647...
Feb 26 12:32:03 intel-waimeabay-hedt-01 goferd: [INFO][worker-0] gofer.messaging.adapter.proton.connection:92 - opened: proton+amqps://sgi-uv20-01.rhts.eng.bos.redhat.com:5647
Feb 26 12:32:03 intel-waimeabay-hedt-01 goferd: [INFO][worker-0] gofer.messaging.adapter.connect:30 - connected: proton+amqps://sgi-uv20-01.rhts.eng.bos.redhat.com:5647
Feb 26 12:32:03 intel-waimeabay-hedt-01 goferd: [INFO][worker-0] root:512 - connected to sgi-uv20-01.rhts.eng.bos.redhat.com:5647
Feb 26 12:32:04 intel-waimeabay-hedt-01 goferd: [INFO][worker-0] gofer.rmi.dispatcher:599 - call: Content.install() sn=e9e13f92-09ee-4807-868c-e22bc13de7f8 data={'task_id': '37c1cbb0-3951-46b0-8700-176a0b803c5d', 'consumer_id': '60c93ffd-11dc-4a96-93d3-f745f8e325b2'}
Feb 26 12:32:04 intel-waimeabay-hedt-01 goferd: [ERROR][worker-0] pulp.agent.lib.container:290 - handler "rpm", import failed
Feb 26 12:32:04 intel-waimeabay-hedt-01 goferd: [ERROR][worker-0] pulp.agent.lib.container:290 - Traceback (most recent call last):
Feb 26 12:32:04 intel-waimeabay-hedt-01 goferd: [ERROR][worker-0] pulp.agent.lib.container:290 -   File "/usr/lib/python2.4/site-packages/pulp/agent/lib/container.py", line 284, in __load
Feb 26 12:32:04 intel-waimeabay-hedt-01 goferd: [ERROR][worker-0] pulp.agent.lib.container:290 -     mod = self.__import_module(path)
Feb 26 12:32:04 intel-waimeabay-hedt-01 goferd: [ERROR][worker-0] pulp.agent.lib.container:290 -   File "/usr/lib/python2.4/site-packages/pulp/agent/lib/container.py", line 313, in __import_module
Feb 26 12:32:04 intel-waimeabay-hedt-01 goferd: [ERROR][worker-0] pulp.agent.lib.container:290 -     mod = __import__(path[0], globals(), locals(), [path[-1]])
Feb 26 12:32:04 intel-waimeabay-hedt-01 goferd: [ERROR][worker-0] pulp.agent.lib.container:290 -   File "/usr/lib/python2.4/site-packages/pulp_rpm/handlers/rpm.py", line 10, in ?
Feb 26 12:32:04 intel-waimeabay-hedt-01 goferd: [ERROR][worker-0] pulp.agent.lib.container:290 -     distribution = platform.linux_distribution()[0].upper()
Feb 26 12:32:04 intel-waimeabay-hedt-01 goferd: [ERROR][worker-0] pulp.agent.lib.container:290 - AttributeError: 'module' object has no attribute 'linux_distribution'
Feb 26 12:32:04 intel-waimeabay-hedt-01 goferd: [ERROR][worker-0] pulp.agent.lib.dispatcher:65 - handler failed
Feb 26 12:32:04 intel-waimeabay-hedt-01 goferd: [ERROR][worker-0] pulp.agent.lib.dispatcher:65 - Traceback (most recent call last):
Feb 26 12:32:04 intel-waimeabay-hedt-01 goferd: [ERROR][worker-0] pulp.agent.lib.dispatcher:65 -   File "/usr/lib/python2.4/site-packages/pulp/agent/lib/dispatcher.py", line 60, in install
Feb 26 12:32:04 intel-waimeabay-hedt-01 goferd: [ERROR][worker-0] pulp.agent.lib.dispatcher:65 -     handler = self.__handler(type_id, CONTENT)
Feb 26 12:32:04 intel-waimeabay-hedt-01 goferd: [ERROR][worker-0] pulp.agent.lib.dispatcher:65 -   File "/usr/lib/python2.4/site-packages/pulp/agent/lib/dispatcher.py", line 330, in __handler
Feb 26 12:32:04 intel-waimeabay-hedt-01 goferd: [ERROR][worker-0] pulp.agent.lib.dispatcher:65 -     raise HandlerNotFound(type=type_id)
Feb 26 12:32:04 intel-waimeabay-hedt-01 goferd: [ERROR][worker-0] pulp.agent.lib.dispatcher:65 - HandlerNotFound: No handler for: {'type': 'rpm'}
Feb 26 12:32:04 intel-waimeabay-hedt-01 goferd: [INFO][worker-0] gofer.agent.rmi:144 - Request: e9e13f92-09ee-4807-868c-e22bc13de7f8 processed in: 1.657 (seconds)
Feb 26 12:32:04 intel-waimeabay-hedt-01 goferd: [INFO][worker-0] gofer.agent.rmi:190 - Request: e9e13f92-09ee-4807-868c-e22bc13de7f8, committed
Feb 26 12:32:04 intel-waimeabay-hedt-01 goferd: [INFO][worker-0] gofer.messaging.adapter.proton.connection:131 - closed: proton+amqps://sgi-uv20-01.rhts.eng.bos.redhat.com:5647



after applying the patch and restarting goferd:

Feb 26 12:33:32 intel-waimeabay-hedt-01 goferd: [INFO][worker-0] gofer.messaging.adapter.connect:28 - connecting: proton+amqps://sgi-uv20-01.rhts.eng.bos.redhat.com:5647
Feb 26 12:33:32 intel-waimeabay-hedt-01 goferd: [INFO][worker-0] gofer.messaging.adapter.proton.connection:87 - open: URL: amqps://sgi-uv20-01.rhts.eng.bos.redhat.com:5647|SSL: ca: /etc/rhsm/ca/katello-default-ca.pem|key: None|certificate: /etc/pki/consumer/bundle.pem|host-validation: None
Feb 26 12:33:32 intel-waimeabay-hedt-01 goferd: [INFO][worker-0] root:490 - connecting to sgi-uv20-01.rhts.eng.bos.redhat.com:5647...
Feb 26 12:33:32 intel-waimeabay-hedt-01 goferd: [INFO][worker-0] gofer.messaging.adapter.proton.connection:92 - opened: proton+amqps://sgi-uv20-01.rhts.eng.bos.redhat.com:5647
Feb 26 12:33:32 intel-waimeabay-hedt-01 goferd: [INFO][worker-0] gofer.messaging.adapter.connect:30 - connected: proton+amqps://sgi-uv20-01.rhts.eng.bos.redhat.com:5647
Feb 26 12:33:32 intel-waimeabay-hedt-01 goferd: [INFO][worker-0] root:512 - connected to sgi-uv20-01.rhts.eng.bos.redhat.com:5647
Feb 26 12:33:33 intel-waimeabay-hedt-01 goferd: [INFO][worker-0] gofer.rmi.dispatcher:599 - call: Content.install() sn=588eda99-63fa-4b36-b816-c87f9c8864b2 data={'task_id': '00adffc0-b264-4a4a-b397-99ce4a16196e', 'consumer_id': '60c93ffd-11dc-4a96-93d3-f745f8e325b2'}
Feb 26 12:33:35 intel-waimeabay-hedt-01 goferd: [INFO][worker-0] pulp_rpm.handlers.rpmtools_yum:176 - Installed: 2:vim-X11-7.0.109-7.2.el5.x86_64
Feb 26 12:33:35 intel-waimeabay-hedt-01 yum: Installed: 2:vim-X11-7.0.109-7.2.el5.x86_64
Feb 26 12:33:35 intel-waimeabay-hedt-01 goferd: [INFO][worker-0] gofer.agent.rmi:144 - Request: 588eda99-63fa-4b36-b816-c87f9c8864b2 processed in: 4.111 (seconds)
Feb 26 12:33:36 intel-waimeabay-hedt-01 goferd: [INFO][worker-0] gofer.agent.rmi:190 - Request: 588eda99-63fa-4b36-b816-c87f9c8864b2, committed
Feb 26 12:33:36 intel-waimeabay-hedt-01 goferd: [INFO][worker-0] gofer.messaging.adapter.proton.connection:131 - closed: proton+amqps://sgi-uv20-01.rhts.eng.bos.redhat.com:5647

Comment 12 pulp-infra@redhat.com 2019-03-20 09:31:40 UTC
The Pulp upstream bug status is at ON_QA. Updating the external tracker on this bug.

Comment 13 Nikhil Kathole 2019-03-28 08:11:07 UTC
VERIFIED

Version tested:
Satellite 6.5 snap 21

# rpm -qa | grep pulp
python-pulp-agent-lib-2.18.1.1-1.el5
python-pulp-common-2.18.1.1-1.el5
python-pulp-rpm-common-2.18.1.1-1.el5
python-isodate-0.5.0-4.pulp.el5
pulp-rpm-handlers-2.18.1.1-1.el5

Successfully able to perform package actions on rhel 5 clients.

Comment 14 pulp-infra@redhat.com 2019-04-02 21:01:24 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 17 errata-xmlrpc 2019-05-14 12:40:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.